package cn.gyee.nxdp.model.auto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author 谢生杰
 * @since 2021-01-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("ALERTRULE2")
public class Alertrule2 extends Model {

    private static final long serialVersionUID = 1L;

    @TableId("ID")
    private String id;

    @TableField("NAME")
    private String name;

    @TableField("DESCRIPTION")
    private String description;

    @TableField("EXPRESSION")
    private String expression;

    @TableField("TAG")
    private String tag;

    @TableField("RANK")
    private String rank;

    @TableField("ENABLED")
    private Integer enabled;

    @TableField("MODELID")
    private String modelid;

    @TableField("EDNAVALUE")
    private Long ednavalue;

    @TableField("CATEGORY")
    private String category;

    @TableField("RANGE")
    private String range;

    @TableField("STATION")
    private String station;

    @TableField("WINDTURBINE")
    private String windturbine;

    @TableField("LINE")
    private String line;

    @TableField("PROJECT")
    private String project;

    @TableField("ELECTRICAL")
    private String electrical;

    @TableField("TASKSTART")
    private String taskstart;

    /**
     * 关联风机部件编号：如液压站，发电机，齿轮箱等
     */
    @TableField("RELATEDPARTS")
    private String relatedparts;


}
