package cn.gyee.nxdp.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 手环点测表
 * </p>
 *
 * @author 谢生杰
 * @since 2020-10-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("SHBRACELETPOINTKEY")
public class Shbraceletpointkey extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("ID")
    private BigDecimal id;

    /**
     * 测点
     */
    @TableField("POINTKEY")
    private String pointkey;

    /**
     * 设备id
     */
    @TableField("DEVICEID")
    private BigDecimal deviceid;

    /**
     * 创建时间
     */
    @TableField("CREATETIME")
    private LocalDateTime createtime;


}
