package cn.gyee.nxdp.model.auto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author 谢生杰
 * @since 2021-01-12
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("WINDTURBINE")
public class Windturbine extends Model {

    private static final long serialVersionUID = 1L;

    @TableId("ID")
    private String id;

    @TableField("CODE")
    private String code;

    @TableField("WINDPOWERSTATIONID")
    private String windpowerstationid;

    @TableField("LONGITUDE")
    private BigDecimal longitude;

    @TableField("LATITUDE")
    private BigDecimal latitude;

    @TableField("MODELID")
    private String modelid;

    @TableField("STATUS")
    private String status;

    @TableField("PROJECTID")
    private String projectid;

    @TableField("LINEID")
    private String lineid;

    @TableField("FIRSTINTEGRATEDTIME")
    private Date firstintegratedtime;

    @TableField("PHOTO")
    private String photo;

    @TableField("NAME")
    private String name;

    @TableField("STANDARDID")
    private String standardid;


}
