package cn.gyee.nxdp.service.impl;

import cn.gyee.nxdp.model.auto.Shbraceletpointkey;
import cn.gyee.nxdp.mapper.auto.ShbraceletpointkeyMapper;
import cn.gyee.nxdp.service.IShbraceletpointkeyService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 手环点测表 服务实现类
 * </p>
 *
 * @author 谢生杰
 * @since 2020-10-13
 */
@Service
public class ShbraceletpointkeyServiceImpl extends ServiceImpl<ShbraceletpointkeyMapper, Shbraceletpointkey> implements IShbraceletpointkeyService {
    @Autowired
    private ShbraceletpointkeyMapper shbraceletpointkeyMapper;
    @Override
    public List<String> getPointkeylistByDeviceid(Integer deviceid) {
        return shbraceletpointkeyMapper.getPointkeylistByDeviceid(deviceid);
    }
}
