package cn.gyee.nxdp.service.impl;

import cn.gyee.nxdp.model.auto.Windturbine;
import cn.gyee.nxdp.mapper.auto.WindturbineMapper;
import cn.gyee.nxdp.service.IWindturbineService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author 谢生杰
 * @since 2021-01-12
 */
@Service
public class WindturbineServiceImpl extends ServiceImpl<WindturbineMapper, Windturbine> implements IWindturbineService {
    @Autowired
    private WindturbineMapper windturbineMapper;

    @Override
    public List<String> modelListByWpId(String wpid) {
        return windturbineMapper.modelListByWpId(wpid);
    }

    @Override
    public List<Windturbine> findAll() {
        return windturbineMapper.findAll();
    }


}
