package cn.gyee.nxdp.controller;


import cn.gyee.nxdp.model.auto.Earlywarningknowledge;
import cn.gyee.nxdp.service.IEarlywarningknowledgeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author 谢生杰
 * @since 2021-01-12
 */
@RestController
@RequestMapping
public class EarlywarningknowledgeController {
    @Autowired
    private IEarlywarningknowledgeService earlywarningknowledgeService;



    @GetMapping("/early/list")
    @ResponseBody
    @CrossOrigin(origins = "*", maxAge = 3600)
    public List<Earlywarningknowledge>  list(){
        List<Earlywarningknowledge> elist = earlywarningknowledgeService.list();
       return elist;
    }

    @PostMapping("/early")
    @ResponseBody
    @CrossOrigin(origins = "*", maxAge = 3600)
    public void save(Earlywarningknowledge earlywarningknowledge){
      earlywarningknowledgeService.saveOrUpdate(earlywarningknowledge);

    }


    @GetMapping("/early")
    @ResponseBody
    @CrossOrigin(origins = "*", maxAge = 3600)
    public void update(Earlywarningknowledge earlywarningknowledge){
        earlywarningknowledgeService.saveOrUpdate(earlywarningknowledge);

    }


    @GetMapping("/early/{id}")
    @ResponseBody
    @CrossOrigin(origins = "*", maxAge = 3600)
    public Earlywarningknowledge get(@PathVariable("id") Integer id){
        Earlywarningknowledge earlywarningknowledge = earlywarningknowledgeService.getById(id);
        return earlywarningknowledge;
    }
}
