package cn.gyee.nxdp.model.auto;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 手环使用记录表
 * </p>
 *
 * @author 谢生杰
 * @since 2020-10-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("SHBRACELETUSER")
public class Shbraceletuser extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("ID")
    private Integer id;

    /**
     * 设备ID
     */
    @TableField("DEVICEID")
    private Integer deviceid;

    /**
     * 用户Id
     */
    @TableField("USERID")
    private Integer userid;

    /**
     * 创建时间
     */
    @TableField("CREATETIME")
    private LocalDateTime createtime;


}
