package cn.gyee.nxdp.service.impl;

import cn.gyee.nxdp.model.auto.Shbruser;
import cn.gyee.nxdp.mapper.auto.ShbruserMapper;
import cn.gyee.nxdp.service.IShbruserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 手环用户表 服务实现类
 * </p>
 *
 * @author 谢生杰
 * @since 2020-10-13
 */
@Service
public class ShbruserServiceImpl extends ServiceImpl<ShbruserMapper, Shbruser> implements IShbruserService {
    @Autowired
    private ShbruserMapper shbruserMapper;
    @Override
    public List<Shbruser> findAll() {
        return shbruserMapper.findAll();
    }
}
